#include<fstream> 
using namespace std;
int n,a[1000];
ifstream fi("BAI3_17.inp");
ofstream fo("BAI3_17.out");
void quick(int a[],int l,int r)
{
	int key=a[(l+r)/2];
	int i=l;
	int j=r;
	while(i<=j)
	{
		while(a[i]<key) i++;
		while(a[j]>key) j--;
		if(i<=j)
		{
			swap(a[i],a[j]);
			i++;
			j--;
		}
		if(l<j) quick(a,l,j);
		if(r>i) quick(a,i,r);
	}
}
int main()
{
	fi>>n;
	for(int i=0;i<n;i++) fi>>a[i];
	quick(a,0,n-1);
	fo<<a[0]+a[n-1];
	fi.close();
	fo.close();
}
